---
search:
  tags:
    - Seasons
    - GET
seo:
  description: >-
    Returns season standings ordered by XP, then games played. Use a season…
    Reference for the GET /seasons/{id}/leaderboard endpoint in the dartpilot
    Public API.
sidebar:
  label: Get a season leaderboard
  badge: GET
title: Get a season leaderboard
type: openapi-operation
---
Returns season standings ordered by XP, then games played. Use a season id such as `s:2026-q4` or `current`; future or unknown seasons return `404`.

`GET /seasons/{id}/leaderboard`

**Responses**

- `200` — The season standings.
- `400` — Invalid request.
- `401` — Missing or invalid API key.
- `403` — The API key is missing a required scope or is the wrong type for this endpoint.
- `404` — Entity not found.
- `429` — Rate limit exceeded. See the \`Retry-After\` header.
- `500` — Internal server error.

Response example, 200:

```json
{
  "seasonId": "string",
  "entries": [
    {
      "rank": 1,
      "userId": "string",
      "displayName": "string",
      "image": "string",
      "title": "string",
      "totalXp": 0,
      "currentTier": 0,
      "gamesPlayed": 0,
      "wins": 0
    }
  ]
}
```
